Subject: Re: [PATCH 0/4] remote-hg: more improvements

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 May 2014 15:34:37 -0700

David Kastrup <[email-masked]> writes:

>>> I'm not entirely convinced of that: there is something akin to drop-dead
>>> gorgeous code: code that is so well done that it would not matter with
>>> regard to its maintenance whether or not its author dropped dead because
>>> it's both done well as well as documented in a manner where the original
>>> author could not offer significant additional help.
>>
>> I would have to say that you are living in a fantasy land.  During
>> the entire life of Git, I do not think I ever saw such a code that
>> is perfect from the get-go and did not require any maintenance to
>> adjust to the changing time.
>
> You are attacking a straw man.  "where the original author could not
> offer significant _additional_ help" does not at all equate "does not
> require any maintenance".

Ahh, I realize that I misread what you wrote.  Yes, I do agree with
you that we have a lot of pieces of code, with log messages we can
find with the help of blame, that the author himself does not need
to be present for them to be maintained properly.  Making all the
code in Git like that may be an unattainable goal, but calling the
effort to make that happen "living in a fantasy land" is utterly
wrong.  Sorry about confusion.